%define name gnac
%define version 0.2.4.1
%define release %mkrel 1

Summary: Gnac (Gnome Audio Converter) 
Name:	 %{name}
Version: %{version}
Release: %{release}
URL:	 http://gnac.sourceforge.net/download/
Group:	 Graphical desktop/GNOME
License: GPLv3
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:	%{name}-%{version}.tar.xz
BuildRequires:	gtk+3.0-devel
BuildRequires:  intltool 
BuildRequires:  gnome-doc-utils
BuildRequires:  gettext-devel
BuildRequires:  libxml2-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:  libnotify-devel
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}gstreamer-plugins-base0.10-devel
BuildRequires:	%{_lib}gnomeui2_0-devel
BuildRequires:	%{_lib}unique3.0-devel
Requires: %{_lib}gtk+3_0
Requires: gtk+3.0

%description
Gnac is an easy to use audio conversion program for the Gnome desktop.
It is designed to be powerful but simple! It provides easy audio
files conversion between all GStreamer supported audio formats.


%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x 

%install
%makeinstall_std
desktop-file-install --vendor="" \
            --remove-category="Application" \
            --add-category="X-MandrivaLinux-Multimedia-Sound" \
             --dir %buildroot%_datadir/applications %buildroot%_datadir/applications/%name.desktop


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%update_menus
%update_icon_cache hicolor
%update_desktop_database

%postun
%clean_menus
%clean_icon_cache hicolor
%clean_desktop_database

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gnome/help/%{name}
%{_datadir}/man/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Sat May 04 2013 Ken <lxgator at gmail.com> 0.2.4.1-1pclos2013
- 0.2.4.1
- fix for 64bit compile too(texstar)

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 0.2.1-2pclos2010
- rebuild

* Thu Aug 06 2009 slick50 <lxgator at gmail.com> 0.2.1-1pclos2009
- initial package
